![banner](./assets/banner.jpg)

<!-- START doctoc generated TOC please keep comment here to allow auto update -->
<!-- DON'T EDIT THIS SECTION, INSTEAD RE-RUN doctoc TO UPDATE -->

# Openai Bolts

This is a collection of generic streaming and (micro) batch bolts interfacing
with the openai ecosystem.

**Table of Contents**

- [Openai Bolts](#openai-bolts)
  - [Documentation](#documentation)
  - [Examples](#examples)

<!-- END doctoc generated TOC please keep comment here to allow auto update -->

Includes:

| No. | Name                                                  | Description                                    | Input Type | Output Type |
| --- | ----------------------------------------------------- | ---------------------------------------------- | ---------- | ----------- |
| 1   | [Text Classification](#text-classification)           | Fine-tuning for text classification tasks      | Batch      | Batch       |
| 2   | [Instruction Tuning](#instruction-tuning)             | Fine-tuning for instruction tuning tasks       | Batch      | Batch       |
| 3   | [Commonsense Reasoning](#commonsense-reasoning)       | Fine-tuning for commonsense reasoning tasks    | Batch      | Batch       |
| 4   | [Language Modeling](#language-modeling)               | Fine-tuning for language modeling tasks        | Batch      | Batch       |
| 5   | [Named Entity Recognition](#named-entity-recognition) | Fine-tuning for named entity recognition tasks | Batch      | Batch       |
| 6   | [Question Answering](#question-answering)             | Fine-tuning for question answering tasks       | Batch      | Batch       |
| 7   | [Sentiment Analysis](#sentiment-analysis)             | Fine-tuning for sentiment analysis tasks       | Batch      | Batch       |
| 8   | [Summarization](#summarization)                       | Fine-tuning for summarization tasks            | Batch      | Batch       |
| 9   | [Translation](#translation)                           | Fine-tuning for translation tasks              | Batch      | Batch       |

## Documentation

## Examples

Please refer to the [examples](./examples/) directory.
